## usb-modeswitch 2.2.0+repack0

=== debian/changelog ===
usb-modeswitch (2.2.0+repack0-2ubuntu1) utopic; urgency=medium

  * Merge from unstable; remaining changes: (LP: #1354823)
    - patch to rewrite dispatcher to C.
    - debian/patches/redirect_dispatcher_output.patch: redirect all dispatcher
      output when called from udev to /dev/null.
    - Replace libjim depends with libpipeline-dev, libudev-dev.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 03 Oct 2014 10:46:39 -0400

usb-modeswitch (2.2.0+repack0-2) unstable; urgency=medium

  * Add patch to set TMPDIR to /run, add Build-Depends version constraint to
    pull a libjim supporting the setting of TMPDIR (Closes: #751271)

 -- Didier Raboud <odyx@debian.org>  Tue, 12 Aug 2014 12:59:22 +0200

usb-modeswitch (2.2.0+repack0-1) unstable; urgency=medium

  * New 2.2.0 upstream release
    - Introduction of parameter "HuaweiNewMode", wrapping the standard bulk
      message for all newer Huawei devices;
    - Support for generic fallback config files, combined with OS switch (per
      vendor ID);

  * Repack the upstream tarball:
    - Drop the code copy of jimtcl.

  * Bump usb-modeswitch-data depends to 20140529
  * Update VCS-* fields to canonical form

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jun 2014 11:21:08 +0200

=== debian/control ===
Source: usb-modeswitch
Section: comm
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 libusb-1.0-0-dev,
 pkg-config,
 libpipeline-dev,
 libudev-dev,
Standards-Version: 3.9.5
Homepage: http://www.draisberghof.de/usb_modeswitch/
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch.git

Package: usb-modeswitch
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20140529)
Breaks: usb-modeswitch-data (<< 20100127)
Suggests: comgt, wvdial
Description: mode switching tool for controlling "flip flop" USB devices
 Several new USB devices have their proprietary Windows drivers onboard,
 especially WAN dongles. When plugged in for the first time, they act
 like a flash storage and start installing the driver from there. If
 the driver is already installed, the storage device vanishes and
 a new device, such as an USB modem, shows up. This is called the
 "ZeroCD" feature.
 .
 On Debian, this is not needed, since the driver is included as a
 Linux kernel module, such as "usbserial". However, the device still
 shows up as "usb-storage" by default. usb-modeswitch solves that
 issue by sending the command which actually performs the switching
 of the device from "usb-storage" to "usbserial".
 .
 This package contains the binaries and the brother scripts.

## usb-modeswitch 2.2.5+repack0

=== Makefile ===
PROG        = usb_modeswitch
VERS        = 2.2.5
CC          ?= gcc
CFLAGS      += -Wall
LIBS        = `pkg-config --libs --cflags libusb-1.0`
RM          = /bin/rm -f
OBJS        = usb_modeswitch.c
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
SYSDIR      = $(ETCDIR)/systemd/system
UPSDIR      = $(ETCDIR)/init
UDEVDIR     = $(DESTDIR)/lib/udev
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1
VPATH       = jimtcl
HOST_TCL   := $(shell cd jim && ./autosetup/find-tclsh)
ifeq (,$(findstring jimsh0,$(HOST_TCL)))
TCL        ?= $(HOST_TCL)
else
TCL        ?= /usr/bin/tclsh
endif
JIM_CONFIGURE_OPTS = --disable-lineedit \
	--with-out-jim-ext="stdlib posix load signal syslog" --prefix=/usr

.PHONY: clean install install-common uninstall \
	script shared static \
	dispatcher-script dispatcher-shared dispatcher-static \
	install-script install-shared install-static

all: script

script: $(PROG) dispatcher-script

shared: $(PROG) dispatcher-shared

static: $(PROG) dispatcher-static

$(PROG): $(OBJS) usb_modeswitch.h
	$(CC) -o $(PROG) $(OBJS) $(CFLAGS) $(LIBS) $(LDFLAGS)

jim/libjim.so:
	cd jim && CFLAGS="$(CFLAGS)" CC="$(CC)" ./configure $(JIM_CONFIGURE_OPTS) --shared
	$(MAKE) -C jim lib

jim/libjim.a:
	cd jim && CFLAGS="$(CFLAGS)" CC="$(CC)" ./configure $(JIM_CONFIGURE_OPTS)
	$(MAKE) -C jim lib

dispatcher-script: usb_modeswitch.tcl
	sed 's_!/usr/bin/tclsh_!'"$(TCL)"'_' < usb_modeswitch.tcl > usb_modeswitch_dispatcher

dispatcher-shared: jim/libjim.so dispatcher.c usb_modeswitch.string
	$(CC) dispatcher.c $(LDFLAGS) -Ljim -ljim -Ijim -o usb_modeswitch_dispatcher $(CFLAGS)

dispatcher-static: jim/libjim.a dispatcher.c usb_modeswitch.string
	$(CC) dispatcher.c $(LDFLAGS) jim/libjim.a -Ijim -o usb_modeswitch_dispatcher $(CFLAGS)

usb_modeswitch.string: usb_modeswitch.tcl
	$(HOST_TCL) make_string.tcl usb_modeswitch.tcl > $@

clean:
	$(RM) usb_modeswitch
	$(RM) usb_modeswitch_dispatcher
	$(RM) usb_modeswitch.string
	$(RM) jim/autosetup/jimsh0
	$(RM) jim/autosetup/jimsh0.c

distclean: clean
	-$(MAKE) -C jim distclean

ums-clean:
	$(RM) usb_modeswitch
	$(RM) usb_modeswitch_dispatcher
	$(RM) usb_modeswitch.string

# If the systemd folder is present, install the service for starting the dispatcher
# If not, use the dispatcher directly from the udev rule as in previous versions

install-common: $(PROG) usb_modeswitch_dispatcher
	install -D --mode=755 usb_modeswitch $(SBINDIR)/usb_modeswitch
	install -D --mode=755 usb_modeswitch.sh $(UDEVDIR)/usb_modeswitch
	install -D --mode=644 usb_modeswitch.conf $(ETCDIR)/usb_modeswitch.conf
	install -D --mode=644 usb_modeswitch.1 $(MANDIR)/usb_modeswitch.1
	install -D --mode=644 usb_modeswitch_dispatcher.1 $(MANDIR)/usb_modeswitch_dispatcher.1
	install -D --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher
	install -d $(DESTDIR)/var/lib/usb_modeswitch
	test -d $(UPSDIR) -a -e /sbin/initctl && install --mode=644 usb-modeswitch-upstart.conf $(UPSDIR) || test 1
	test -d $(SYSDIR) -a \( -e /usr/bin/systemctl -o -e /bin/systemctl \) && install --mode=644 usb_modeswitch@.service $(SYSDIR) || test 1

install: install-script

install-script: dispatcher-script install-common

install-shared: dispatcher-shared install-common

install-static: dispatcher-static install-common

uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(SBINDIR)/usb_modeswitch_dispatcher
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(ETCDIR)/usb_modeswitch.conf
	$(RM) $(MANDIR)/usb_modeswitch.1
	$(RM) -R $(DESTDIR)/var/lib/usb_modeswitch
	$(RM) $(SYSDIR)/usb_modeswitch@.service

=== debian/changelog ===
usb-modeswitch (2.2.5+repack0-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes: (LP: #1498805)
    - dispatcher-c-rewrite.patch: Rewrite dispatcher in C to avoid TCL deps.
    - redirect_dispatcher_output.patch: redirect all dispatcher output when
      called from udev to /dev/null.
    - Replace libjim/jimsh build-depends with libpipeline-dev, libudev-dev.
  * Update dipatcher-c-rewrite: add unbind_driver function as per the change
    from 2.2.3 to 2.2.5 to the TCL version of the dispatcher.
  * debian/patches/systemd_service_name.patch: fix instance name for systemd;
    make sure we don't try to start usb-modeswitch with an invalid instance
    name.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 02 Oct 2015 16:52:27 -0400

usb-modeswitch (2.2.5+repack0-1) unstable; urgency=medium

  * New 2.2.5 upstream release
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jul 2015 12:12:31 +0200

usb-modeswitch (2.2.3+repack0-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - dispatcher-c-rewrite.patch: Rewrite dispatcher in C to avoid TCL deps.
    - redirect_dispatcher_output.patch: redirect all dispatcher output when
      called from udev to /dev/null.
    - Replace libjim/jimsh build-depends with libpipeline-dev, libudev-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Jul 2015 17:31:33 -0600

usb-modeswitch (2.2.3+repack0-1) unstable; urgency=medium

  * New 2.2.3 upstream release
    - Resolve systemd v221 incompatibility (Closes: #790652)
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Jul 2015 21:24:07 +0200

usb-modeswitch (2.2.2+repack0-1) unstable; urgency=medium

  * New 2.2.2 upstream release
    - Changed systemd template unit parameter to avoid escaping problems
      (Closes: #787842)
  * Refresh patches
  * Update debian/rules to new branch names and gbp
  * Add gbp.conf for dch and import-orig

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Jun 2015 08:37:14 +0200

usb-modeswitch (2.2.1+repack0-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1468833). Remaining changes:
    - patch to rewrite dispatcher to C.
    - debian/patches/redirect_dispatcher_output.patch: redirect all dispatcher
      output when called from udev to /dev/null.
    - Replace libjim depends with libpipeline-dev, libudev-dev.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jun 2015 19:11:27 +0200

usb-modeswitch (2.2.1+repack0-1) unstable; urgency=low

  * New 2.2.1 upstream release
    - Fixed unreliable switching function for Cisco AM10
  * Bump Standards-Version to 3.9.6 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 27 May 2015 08:09:32 +0200

usb-modeswitch (2.2.0+repack0-2ubuntu2) vivid; urgency=medium

  * dispatcher-c-rewrite.patch:
    - Fix broken length calculation, resulting in segfaults.
    - For --switch-systemd, trim leading '/-' characters and replace '/' with
      '-' in the device argument, like in the tcl equivalent.
    - LP: #1431179

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Apr 2015 09:57:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pkg-config,
  libpipeline-dev,
  libudev-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- shared

# This allows to select what I want instead of deleting what I don't
override_dh_auto_install:
	DESTDIR=debian/tmp/ make install-shared

get-orig-source:
	set -e;\
	quilt pop -af || true ;\
	rm -Rf .pc ;\
	gbp import-orig --no-pristine-tar --no-merge --uscan --upstream-branch=upstream/latest;\
	git checkout upstream/latest-repack ;\
	utag=`git describe --exact-match heads/upstream/latest | sed -e 's#^upstream/##'` ;\
	git merge upstream/$$utag -m "Merge upstream $$utag version" ;\
	urtag=$$utag+repack0 ;\
	git tag upstream/$$urtag -m "Upstream repacked $$utag version" ;\
	git archive --format=tar --prefix=usb-modeswitch-$$urtag/ upstream/$$urtag | xz -6e > ../usb-modeswitch_$$urtag.orig.tar.xz ;\
	pristine-tar commit ../usb-modeswitch_$$urtag.orig.tar.xz upstream/$$urtag ;\
	git checkout debian/master ;\
	git merge upstream/$$urtag -m "Merge upstream-repacked $$urtag version"

## usb-modeswitch 2.4.0+repack0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 2.2.5
+VERS        = 2.4.0
 CC          ?= gcc
 CFLAGS      += -Wall
 LIBS        = `pkg-config --libs --cflags libusb-1.0`

=== debian/changelog ===
usb-modeswitch (2.4.0+repack0-1ubuntu1) zesty; urgency=medium

  * Sync with Debian (LP: #1639607, #1639379). Remaining changes:
    - Replace libjim/jimsh build-depends with libpipeline-dev, libudev-dev.
    - dispatcher-c-rewrite.patch: Rewrite dispatcher in C to avoid TCL deps.
    - redirect_dispatcher_output.patch: redirect all dispatcher output when
      called from udev to /dev/null.
    - systemd_service_name.patch: fix instance name for systemd;
      make sure we don't try to start usb-modeswitch with an invalid instance
      name.
  * Refresh patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Dec 2016 22:39:28 -0500

usb-modeswitch (2.4.0+repack0-1) unstable; urgency=medium

  * New 2.4.0 upstream release
  * Refresh patches
  * Bump S-V to 3.9.8 without changes needed
  * Set hardening=+all in DEB_BUILD_MAINT_OPTIONS
  * Use the https alternative in VCS-Browser
  * Add patch to fix official{,l}y typo

 -- Didier Raboud <odyx@debian.org>  Mon, 13 Jun 2016 08:52:09 +0200

usb-modeswitch (2.3.0+repack0-1) unstable; urgency=medium

  * New 2.3.0 upstream release
    - Fixed bug which prevented early logging
  * Remove patch to use udev-specific code to wait on /usr mount
    (Closes: #810104)
  * Update gbp.conf

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Jan 2016 15:56:26 +0100

usb-modeswitch (2.2.6+repack0-1) unstable; urgency=medium

  * New 2.2.6 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Dec 2015 13:00:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  pkg-config,
  libpipeline-dev,
  libudev-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/usb-modeswitch.git
 
 Package: usb-modeswitch
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## usb-modeswitch 2.5.0+repack0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 2.4.0
+VERS        = 2.5.0
 CC          ?= gcc
 CFLAGS      += -Wall
 LIBS        = `pkg-config --libs --cflags libusb-1.0`

=== debian/changelog ===
usb-modeswitch (2.5.0+repack0-1) unstable; urgency=medium

  * New 2.5.0 upstream release
  * Initialize git-dpm with the existing patches

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Jan 2017 08:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: usb-modeswitch
 Section: comm
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
  libusb-1.0-0-dev,
  pkg-config,
- libpipeline-dev,
- libudev-dev,
+ jimsh, libjim-dev (>= 0.75-1~)
 Standards-Version: 3.9.8
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch.git

## usb-modeswitch 2.5.1+repack0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 2.5.0
+VERS        = 2.5.1
 CC          ?= gcc
 CFLAGS      += -Wall
 LIBS        = `pkg-config --libs --cflags libusb-1.0`

=== debian/changelog ===
usb-modeswitch (2.5.1+repack0-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace libjim/jimsh build-depends with libpipeline-dev, libudev-dev.
    - dispatcher-c-rewrite.patch: Rewrite dispatcher in C to avoid TCL deps.
    - redirect_dispatcher_output.patch: redirect all dispatcher output when
      called from udev to /dev/null.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2017 12:34:54 +0200

usb-modeswitch (2.5.1+repack0-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Bump debhelper compat to 10
  * Bump S-V to 4.1.0 without changes needed
  * Cleanup patch-suite:
    - Remove upstart-specific enhancements
    - Drop patch naming
    - Add Documentation pointer in systemd service unit
  * Stop installing the upstart conffile
  * Drop all postinst code managing versions before the current
    oldoldstable (wheezy, 1.2.3)

 -- Didier Raboud <odyx@debian.org>  Fri, 25 Aug 2017 09:41:39 +0200

usb-modeswitch (2.5.0+repack0-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace libjim/jimsh build-depends with libpipeline-dev, libudev-dev.
    - dispatcher-c-rewrite.patch: Rewrite dispatcher in C to avoid TCL deps.
    - redirect_dispatcher_output.patch: redirect all dispatcher output when
      called from udev to /dev/null.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2017 14:32:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends:
+ debhelper (>= 10.2.5~),
  libusb-1.0-0-dev,
  pkg-config,
- jimsh, libjim-dev (>= 0.75-1~)
-Standards-Version: 3.9.8
+ libpipeline-dev,
+ libudev-dev
+Standards-Version: 4.1.0
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/usb-modeswitch.git

## usb-modeswitch 2.5.2%2Brepack0

=== debian/changelog ===
usb-modeswitch (2.5.2+repack0-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace libjim/jimsh build-depends with libpipeline-dev, libudev-dev.
    - dispatcher-c-rewrite.patch: Rewrite dispatcher in C to avoid TCL deps.
    - redirect_dispatcher_output.patch: redirect all dispatcher output when
      called from udev to /dev/null.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Mar 2018 15:25:51 +0100

usb-modeswitch (2.5.2+repack0-2) unstable; urgency=medium

  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:56:18 +0100

usb-modeswitch (2.5.2+repack0-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Replace libjim/jimsh build-depends with libpipeline-dev, libudev-dev.
    - dispatcher-c-rewrite.patch: Rewrite dispatcher in C to avoid TCL deps.
    - redirect_dispatcher_output.patch: redirect all dispatcher output when
      called from udev to /dev/null.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jan 2018 15:37:25 +0100

usb-modeswitch (2.5.2+repack0-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Set priority optional
  * Drop unused source lintian override
  * Bump debhelper compat to 11
  * Mangle version in debian/watch
  * Drop trailing whitespace in debian/changelog
  * Rewrite debian/copyright with CF1.0
  * Bump S-V to 4.1.3

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Jan 2018 12:32:11 +0100

## usb-modeswitch 2.5.2+repack0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb_modeswitch
-VERS        = 2.5.1
+VERS        = 2.5.2
 CC          ?= gcc
 CFLAGS      += -Wall
 LIBS        = `pkg-config --libs --cflags libusb-1.0`

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: usb-modeswitch
+Maintainer: Didier Raboud <odyx@debian.org>
 Section: comm
-Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends:
- debhelper (>= 10.2.5~),
- libusb-1.0-0-dev,
- pkg-config,
- libpipeline-dev,
- libudev-dev
-Standards-Version: 4.1.0
+Priority: optional
+Build-Depends: debhelper (>= 11~),
+               libusb-1.0-0-dev,
+               pkg-config,
+               jimsh,
+               libjim-dev (>= 0.75-1~)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/usb-modeswitch
+Vcs-Git: https://salsa.debian.org/debian/usb-modeswitch.git
 Homepage: http://www.draisberghof.de/usb_modeswitch/
-Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/usb-modeswitch.git
 
 Package: usb-modeswitch
 Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         usb-modeswitch-data (>= 20140529)
+Suggests: comgt,
+          wvdial
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, usb-modeswitch-data (>= 20140529)
 Breaks: usb-modeswitch-data (<< 20100127)
-Suggests: comgt, wvdial
 Description: mode switching tool for controlling "flip flop" USB devices
  Several new USB devices have their proprietary Windows drivers onboard,
  especially WAN dongles. When plugged in for the first time, they act

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,21 @@
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+include /usr/share/dpkg/architecture.mk
+ifeq ($(origin CC),default)
+CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
+export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
+
 %:
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- shared
+	dh_auto_build -- CC=$(CC) shared
 
 # This allows to select what I want instead of deleting what I don't
 override_dh_auto_install:
-	DESTDIR=debian/tmp/ make install-shared
+	DESTDIR=debian/tmp/ make CC=$(CC) install-shared
 
 get-orig-source:
 	set -e;\

## usb-modeswitch 2.6.0

=== debian/changelog ===
usb-modeswitch (2.6.0-2) unstable; urgency=medium

  * Bump S-V to 4.4.1 without changes needed
  * Set Rules-Requires-Root to no

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Dec 2019 18:37:41 +0100

usb-modeswitch (2.6.0-1) unstable; urgency=medium

  * Update to new upstream version 2.6.0; the repack is not needed anymore as
    the embedded 'jim' library has been taken out
  * Convert to git-debrebase workflow
  * Refresh patches
  * d/rules: Update make targets
  * Enable the Salsa CI Team standard pipeline

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Dec 2019 18:05:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Didier Raboud <odyx@debian.org>
 Section: comm
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libusb-1.0-0-dev,
                pkg-config,
                jimsh,
                libjim-dev (>= 0.75-1~)
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/usb-modeswitch
 Vcs-Git: https://salsa.debian.org/debian/usb-modeswitch.git
 Homepage: http://www.draisberghof.de/usb_modeswitch/

## usb-modeswitch 2.6.1

=== Makefile ===
PROG        = usb_modeswitch
VERS        = 2.6.1
CC          ?= gcc
CFLAGS      += -Wall -Wno-deprecated-declarations
LIBS        = `pkg-config --libs --cflags libusb-1.0`
RM          = /bin/rm -f
OBJS        = usb_modeswitch.c
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
SYSDIR      = $(ETCDIR)/systemd/system
UPSDIR      = $(ETCDIR)/init
UDEVDIR     = $(DESTDIR)/lib/udev
SBINDIR     = $(PREFIX)/sbin
MANDIR      = $(PREFIX)/share/man/man1

.PHONY: clean install install-common uninstall \
	dispatcher-script dispatcher-dynlink dispatcher-statlink \
	install-script install-dynlink install-statlink

all: all-with-script-dispatcher

all-with-script-dispatcher: $(PROG) dispatcher-script

all-with-dynlink-dispatcher: $(PROG) dispatcher-dynlink

all-with-statlink-dispatcher: $(PROG) dispatcher-statlink

$(PROG): $(OBJS) usb_modeswitch.h
	$(CC) -o $(PROG) $(OBJS) $(CFLAGS) $(LIBS) $(LDFLAGS)

dispatcher-script: usb_modeswitch_dispatcher.tcl
	DISPATCH=dispatcher-script
	cp -f usb_modeswitch_dispatcher.tcl usb_modeswitch_dispatcher

dispatcher-dynlink: dispatcher.c dispatcher.h
	DISPATCH=dispatcher-dynlink
	$(CC) dispatcher.c $(LDFLAGS) -Ljim -ljim -Ijim -o usb_modeswitch_dispatcher $(CFLAGS)

dispatcher-statlink: dispatcher.c dispatcher.h
	DISPATCH=dispatcher-statlink
	$(CC) dispatcher.c $(LDFLAGS) -l:libjim.a -ldl -Ijim -o usb_modeswitch_dispatcher $(CFLAGS)

dispatcher.h: usb_modeswitch_dispatcher.tcl
	./make_string.sh usb_modeswitch_dispatcher.tcl > $@

clean:
	$(RM) usb_modeswitch
	$(RM) usb_modeswitch_dispatcher
	$(RM) dispatcher.h

distclean: clean

# If the systemd folder is present, install the service for starting the dispatcher
# If not, use the dispatcher directly from the udev rule as in previous versions

install-common: $(PROG) $(DISPATCH)
	install -D --mode=755 usb_modeswitch $(SBINDIR)/usb_modeswitch
	install -D --mode=755 usb_modeswitch.sh $(UDEVDIR)/usb_modeswitch
	install -D --mode=644 usb_modeswitch.conf $(ETCDIR)/usb_modeswitch.conf
	install -D --mode=644 usb_modeswitch.1 $(MANDIR)/usb_modeswitch.1
	install -D --mode=644 usb_modeswitch_dispatcher.1 $(MANDIR)/usb_modeswitch_dispatcher.1
	install -D --mode=755 usb_modeswitch_dispatcher $(SBINDIR)/usb_modeswitch_dispatcher
	install -d $(DESTDIR)/var/lib/usb_modeswitch
	test -d $(UPSDIR) -a -e /sbin/initctl && install --mode=644 usb-modeswitch-upstart.conf $(UPSDIR) || test 1
	test -d $(SYSDIR) -a \( -e /usr/bin/systemctl -o -e /bin/systemctl \) && install --mode=644 usb_modeswitch@.service $(SYSDIR) || test 1

install: install-script

install-script: dispatcher-script install-common

install-dynlink: dispatcher-dynlink install-common

install-statlink: dispatcher-statlink install-common

uninstall:
	$(RM) $(SBINDIR)/usb_modeswitch
	$(RM) $(SBINDIR)/usb_modeswitch_dispatcher
	$(RM) $(UDEVDIR)/usb_modeswitch
	$(RM) $(ETCDIR)/usb_modeswitch.conf
	$(RM) $(MANDIR)/usb_modeswitch.1
	$(RM) -R $(DESTDIR)/var/lib/usb_modeswitch
	$(RM) $(SYSDIR)/usb_modeswitch@.service

=== debian/changelog ===
usb-modeswitch (2.6.1-4ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control:
      + Drop build-deps jimsh and libjim-dev
      + Depends on tcl
    - debian/rules: don't use the dynlink option, we use tcl rather than
      libjim which is in Universe

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 15 Jul 2024 18:58:08 +0100

usb-modeswitch (2.6.1-4) unstable; urgency=medium

  * debian/control: add dependency for dh-sequence-movetousr
  * debian/control: use standard 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 May 2024 18:40:56 +0200

usb-modeswitch (2.6.1-3ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:21:24 +0200

usb-modeswitch (2.6.1-3ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:53:05 +0100

usb-modeswitch (2.6.1-3ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Drop build-deps jimsh and libjim-dev
      + Depends on tcl
    - debian/rules: don't use the dynlink option, we use tcl rather than
      libjim which is in Universe

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 17 Nov 2021 15:26:20 +0100

usb-modeswitch (2.6.1-3) unstable; urgency=medium

  * adopt package (Closes: #993778)
  * debian/usb-modeswitch.prerm: (Closes: #926562)
          remove link_list besides other runtime files in prerm

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Oct 2021 18:40:56 +0200

usb-modeswitch (2.6.1-2) unstable; urgency=medium

  * Orphan package
  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Add Salsa CI configuration
  * Update watch file format version to 4

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 12:40:56 +0200

usb-modeswitch (2.6.1-1ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:25:59 +0200

usb-modeswitch (2.6.1-1ubuntu3) hirsute; urgency=medium

  * debian/control:
    - Depends on tcl rather than tcl8.6 since the unversioned tclsh is the
      one being called (lp: #1901318)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Oct 2020 17:10:31 +0100

usb-modeswitch (2.6.1-1ubuntu1) groovy; urgency=medium

  * Resynchronize on Debian, remaining changes
  * debian/control:
    - Drop build-deps libpipeline-dev and libudev-dev
    - Depends on tcl8.6
  * debian/rules:
    - don't use the dynlink option, we use tcl rather libjim which
      is in Universe
    - Set TCL=/usr/bin/tclsh8.6

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 18:30:08 +0200

usb-modeswitch (2.6.1-1) unstable; urgency=medium

  * New 2.6.1 upstream release

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jul 2020 23:02:57 +0200

usb-modeswitch (2.6.0-3) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.0, no changes needed.
  * Backport preliminary 2.6.1 patch:
    - Changed the wrapper script to look for interfaces according to
      availability instead of fixed numbers (LP: #1676763)

 -- Didier Raboud <odyx@debian.org>  Sun, 05 Jul 2020 22:01:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: usb-modeswitch
-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Section: comm
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               libusb-1.0-0-dev,
-               pkg-config,
-               jimsh,
-               libjim-dev (>= 0.75-1~)
-Standards-Version: 4.4.1
-Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ libusb-1.0-0-dev,
+ pkg-config,
+ dh-sequence-movetousr
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/usb-modeswitch
 Vcs-Git: https://salsa.debian.org/debian/usb-modeswitch.git
-Homepage: http://www.draisberghof.de/usb_modeswitch/
+Homepage: https://www.draisberghof.de/usb_modeswitch/
+Rules-Requires-Root: no
 
 Package: usb-modeswitch
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         usb-modeswitch-data (>= 20140529)
-Suggests: comgt,
-          wvdial
-Pre-Depends: ${misc:Pre-Depends}
-Breaks: usb-modeswitch-data (<< 20100127)
+Depends:
+ tcl,
+ usb-modeswitch-data,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ comgt,
+ wvdial,
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: mode switching tool for controlling "flip flop" USB devices
  Several new USB devices have their proprietary Windows drivers onboard,
  especially WAN dongles. When plugged in for the first time, they act

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC=$(CC) all

# This allows to select what I want instead of deleting what I don't
override_dh_auto_install:
	DESTDIR=debian/tmp/ make CC=$(CC) install

## usb-modeswitch 2.6.2

=== debian/changelog ===
usb-modeswitch (2.6.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1098047)
  * debian/watch: update to use xml file now
  * debian/control: use standard 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 23 Sep 2025 17:57:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: usb-modeswitch
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
 Section: comm
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ jimsh,
+ libjim-dev,
  libusb-1.0-0-dev,
  pkg-config,
  dh-sequence-movetousr
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/usb-modeswitch
 Vcs-Git: https://salsa.debian.org/debian/usb-modeswitch.git
 Homepage: https://www.draisberghof.de/usb_modeswitch/
@@ -17,7 +18,6 @@
 Package: usb-modeswitch
 Architecture: any
 Depends:
- tcl,
  usb-modeswitch-data,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- CC=$(CC) all
+	dh_auto_build -- CC=$(CC) all-with-dynlink-dispatcher
 
 # This allows to select what I want instead of deleting what I don't
 override_dh_auto_install:
-	DESTDIR=debian/tmp/ make CC=$(CC) install
+	DESTDIR=debian/tmp/ make CC=$(CC) install-dynlink

=== debian/watch ===
version=4
opts=searchmode=plain,dversionmangle=s/\+repack\d*$//,repacksuffix=+repack http://www.draisberghof.de/usb_modeswitch/usb-modeswitch-versions.xml usb-modeswitch-([\d.]*)\.tar\.bz2 debian uupdate
